#3285 closed task (fixed)

Reorganize BSP source directory

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: build Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

Now, that all BSP header files are in

  • bsps/include
  • bsps/@RTEMS_CPU@/include
  • bsps/@RTEMS_CPU@/@RTEMS_BSP_FAMILY@/include

we should also move the BSP sources to this new directory tree. How do we want to organize the BSP sources in bsps/@RTEMS_CPU@/@RTEMS_BSP_FAMILY@?

  • include (this is already there, see #3254)
  • config
    • somebsp.cfg
  • start (everything required to run a minimal application without devices)
    • start.S
    • bspstart.c
    • bspsmp.c
    • linkcmds
  • cache (everything for the cache controller support)
  • irq (everything for the interrupt controller support)
  • console (everything for the console driver)
  • clock (everything for the clock driver
  • i2c (everything for the I2C driver)
  • spi (everything for the SPI driver)
  • net (legacy network stack drivers)
  • mpci (RTEMS_MULTIPROCESSING support)
  • rtc (everything for the RTC driver)
  • ata (everything for the ATA driver)
  • contrib (import of external sources)
    • The layout of external sources should be used as is if possible.

Change History (199)

comment:1 Changed on Jan 31, 2018 at 11:51:51 AM by Sebastian Huber <sebastian.huber@…>

In 4cf93658/rtems:

bsps: Rework cache manager implementation

The previous cache manager support used a single souce file
(cache_manager.c) which included an implementation header (cache_.h).
This required the use of specialized include paths to find the right
header file. Change this to include a generic implementation header
(cacheimpl.h) in specialized source files.

Use the following directories and files:

  • bsps/shared/cache
  • bsps/@RTEMS_CPU@/shared/cache
  • bsps/@RTEMS_CPU@/@RTEMS_BSP_FAMILY/start/cache.c

Update #3285.

comment:2 Changed on Jan 31, 2018 at 11:53:45 AM by Sebastian Huber

Description: modified (diff)

comment:3 Changed on Feb 2, 2018 at 6:09:05 AM by Sebastian Huber <sebastian.huber@…>

In 5f0a6376/rtems:

bsp/leon3: Do not use internal cache API

Update #3285.

comment:4 Changed on Feb 5, 2018 at 10:42:12 AM by Sebastian Huber

Milestone: 5.16.1

comment:5 Changed on Mar 13, 2018 at 7:06:40 AM by Sebastian Huber <sebastian.huber@…>

In a4570829/rtems:

bsps: Remove unused memcpy() implementations

This patch is a part of the BSP source reorganization.

Update #3285.

comment:6 Changed on Mar 13, 2018 at 7:06:50 AM by Sebastian Huber <sebastian.huber@…>

In 4c83f292/rtems:

bsps: Remove unused RTEMS_CPU_MODEL

This patch is a part of the BSP source reorganization.

Update #3285.

comment:7 Changed on Mar 13, 2018 at 7:07:00 AM by Sebastian Huber <sebastian.huber@…>

In 961e2ef/rtems:

bsps/mips: Remove Mongoose-V README

This patch is a part of the BSP source reorganization.

Update #3285.

comment:8 Changed on Mar 13, 2018 at 7:07:11 AM by Sebastian Huber <sebastian.huber@…>

In b6755af/rtems:

bsps/mips: Move libcpu content to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:9 Changed on Mar 13, 2018 at 7:07:22 AM by Sebastian Huber <sebastian.huber@…>

In c4905d8d/rtems:

bsps/arm: Move libcpu content to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:10 Changed on Mar 13, 2018 at 7:07:32 AM by Sebastian Huber <sebastian.huber@…>

In 8b5778e/rtems:

sparc: Move libcpu content to cpukit

This patch is a part of the BSP source reorganization.

Update #3285.

comment:11 Changed on Mar 13, 2018 at 7:07:42 AM by Sebastian Huber <sebastian.huber@…>

In 7633f5b/rtems:

sparc64: Move libcpu content to cpukit

This patch is a part of the BSP source reorganization.

Update #3285.

comment:12 Changed on Mar 19, 2018 at 12:12:49 PM by Sebastian Huber <sebastian.huber@…>

In ac04bb85/rtems:

bsps/powerpc: Move legacy IRQ support

This patch is a part of the BSP source reorganization.

Update #3285.

comment:13 Changed on Mar 19, 2018 at 12:13:00 PM by Sebastian Huber <sebastian.huber@…>

In 7dbc43d/rtems:

bsps/powerpc: Move basic support to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:14 Changed on Mar 19, 2018 at 12:13:10 PM by Sebastian Huber <sebastian.huber@…>

In ff3b9aa/rtems:

bsps/powerpc: Remove unused files

This patch is a part of the BSP source reorganization.

Update #3285.

comment:15 Changed on Mar 19, 2018 at 12:13:21 PM by Sebastian Huber <sebastian.huber@…>

In bd150801/rtems:

bsps/powerpc: Move exceptions support to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:16 Changed on Mar 19, 2018 at 12:13:32 PM by Sebastian Huber <sebastian.huber@…>

In 09dd82a/rtems:

bsp/ss555: Move libcpu content to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:17 Changed on Mar 22, 2018 at 6:02:34 AM by Sebastian Huber <sebastian.huber@…>

In a7fa9e91/rtems:

bsp/pc386: Move libcpu content to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:18 Changed on Mar 22, 2018 at 6:02:44 AM by Sebastian Huber <sebastian.huber@…>

In f3a51d62/rtems:

bsps/powerpc: Remove bsp_timer_internal_clock

The only consumer of this variable was the ppc403 clock driver used by
the

  • haleakala,
  • virtex, and
  • virtex4

BSPs which set bsp_timer_internal_clock unconditionally to true.

Update #3285.

comment:19 Changed on Mar 22, 2018 at 6:02:55 AM by Sebastian Huber <sebastian.huber@…>

In bb22a3f3/rtems:

bsp/powerpc: Move libcpu timer to bsps

Use only one timer driver variant based on the standard PowerPC time
base.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:20 Changed on Mar 22, 2018 at 7:42:45 AM by Sebastian Huber <sebastian.huber@…>

In 3f3f246a/rtems:

bsps/mpc55xx: Remove unused files

This patch is a part of the BSP source reorganization.

Update #3285.

comment:21 Changed on Mar 22, 2018 at 7:42:55 AM by Sebastian Huber <sebastian.huber@…>

In dc1ea01/rtems:

bsps/mpc55xx: Move libcpu content to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:22 Changed on Mar 26, 2018 at 9:09:58 AM by Sebastian Huber <sebastian.huber@…>

In b1b7390/rtems:

bsp/pc386: Fix build

This patch is a part of the BSP source reorganization.

Update #3285.

comment:23 Changed on Mar 26, 2018 at 9:10:08 AM by Sebastian Huber <sebastian.huber@…>

In 96400050/rtems:

bsp/pc386: Remove unused RTEMS_CPU_MODEL

This patch is a part of the BSP source reorganization.

Update #3285.

comment:24 Changed on Mar 26, 2018 at 9:10:19 AM by Sebastian Huber <sebastian.huber@…>

In e2bd1f6/rtems:

bsp/bfin: Move libcpu content to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:25 Changed on Mar 26, 2018 at 9:10:29 AM by Sebastian Huber <sebastian.huber@…>

In 0cab067/rtems:

bsps/powerpc: Move libcpu content to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:26 Changed on Mar 26, 2018 at 9:10:40 AM by Sebastian Huber <sebastian.huber@…>

In a12dcff8/rtems:

bsp/mpc8260: Move libcpu content to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:27 Changed on Mar 26, 2018 at 9:10:51 AM by Sebastian Huber <sebastian.huber@…>

In b8c468b/rtems:

bsp/tqm8xx: Move libcpu content to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:28 Changed on Mar 26, 2018 at 9:11:01 AM by Sebastian Huber <sebastian.huber@…>

In 11fe8c59/rtems:

bsps/powerpc: Move MMU support to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:29 Changed on Mar 26, 2018 at 9:11:12 AM by Sebastian Huber <sebastian.huber@…>

In d813d9aa/rtems:

bsps/powerpc: Move dec clock driver to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:30 Changed on Mar 26, 2018 at 9:11:22 AM by Sebastian Huber <sebastian.huber@…>

In 4fd1ff0f/rtems:

bsps/powerpc: Move AltiVec? support to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:31 Changed on Mar 26, 2018 at 9:11:32 AM by Sebastian Huber <sebastian.huber@…>

In d7c232f/rtems:

bsps/powerpc: Remove unused files

This patch is a part of the BSP source reorganization.

Update #3285.

comment:32 Changed on Mar 26, 2018 at 9:11:43 AM by Sebastian Huber <sebastian.huber@…>

In 2d33672a/rtems:

bsps/powerpc: Move ppc403 clock driver to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:33 Changed on Mar 26, 2018 at 9:11:53 AM by Sebastian Huber <sebastian.huber@…>

In 6882be7/rtems:

bsps/powerpc: Remove libcpu/powerpc

This patch is a part of the BSP source reorganization.

Update #3285.

comment:34 Changed on Mar 26, 2018 at 9:12:04 AM by Sebastian Huber <sebastian.huber@…>

In 5f59e2a/rtems:

bsps/powerpc: Move dec timer driver

This patch is a part of the BSP source reorganization.

Update #3285.

comment:35 Changed on Mar 26, 2018 at 1:33:24 PM by Sebastian Huber <sebastian.huber@…>

In f8e4755f/rtems:

bsps/m68k: Use namespace header

This patch is a part of the BSP source reorganization.

Update #3285.

comment:36 Changed on Mar 26, 2018 at 1:33:35 PM by Sebastian Huber <sebastian.huber@…>

In 1e23c47/rtems:

bsps/m68k: Remove unused define

This patch is a part of the BSP source reorganization.

Update #3285.

comment:37 Changed on Mar 26, 2018 at 1:33:46 PM by Sebastian Huber <sebastian.huber@…>

In fc2ec62/rtems:

bsps/m68k: Move libcpu content to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:38 Changed on Mar 26, 2018 at 1:33:57 PM by Sebastian Huber <sebastian.huber@…>

In 3cf2bf63/rtems:

bsps/m68k: Move fpsp support to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:39 Changed on Mar 26, 2018 at 1:34:08 PM by Sebastian Huber <sebastian.huber@…>

In 2190bc6/rtems:

bsps/mcf5206elite: Move libcpu content to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:40 Changed on Mar 26, 2018 at 1:34:19 PM by Sebastian Huber <sebastian.huber@…>

In ddf3ea2/rtems:

bsps/csb360: Move libcpu content to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:41 Changed on Mar 26, 2018 at 1:34:30 PM by Sebastian Huber <sebastian.huber@…>

In 945095d/rtems:

bsps/genmcf548x: Move libcpu content to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:42 Changed on Mar 26, 2018 at 1:34:53 PM by Sebastian Huber <sebastian.huber@…>

In b54558ac/rtems:

bsps/mcf5225x: Move libcpu content to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:43 Changed on Mar 26, 2018 at 1:35:04 PM by Sebastian Huber <sebastian.huber@…>

In 5d39512/rtems:

bsps/m68k: Remove libcpu/m68k

This patch is a part of the BSP source reorganization.

Update #3285.

comment:44 Changed on Mar 26, 2018 at 1:35:15 PM by Sebastian Huber <sebastian.huber@…>

In 699fee43/rtems:

bsps: Remove libcpu

This patch is a part of the BSP source reorganization.

Update #3285.

comment:45 Changed on Apr 4, 2018 at 11:51:10 AM by Sebastian Huber <sebastian.huber@…>

In 66b99a1/rtems:

bsps: Add RTEMS_BSP to bspopts.h

This patch is a part of the BSP source reorganization.

Update #3285.

comment:46 Changed on Apr 4, 2018 at 11:51:21 AM by Sebastian Huber <sebastian.huber@…>

In ce0ea6f/rtems:

bsps: Add shared-sources.am

This patch is a part of the BSP source reorganization.

Update #3285.

comment:47 Changed on Apr 4, 2018 at 11:51:33 AM by Sebastian Huber <sebastian.huber@…>

In 4f0dca3a/rtems:

bsps: Move version.c and use bspopts.h

This patch is a part of the BSP source reorganization.

Update #3285.
Update #3375.

comment:48 Changed on Apr 4, 2018 at 11:51:45 AM by Sebastian Huber <sebastian.huber@…>

In 8621ed38/rtems:

bsps: Move config macros to RTEMS_BSP_CONFIGURE

Provide HAS_NETWORKING and HAS_SMP Automake conditionals for all BSPs.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:49 Changed on Apr 4, 2018 at 11:51:56 AM by Sebastian Huber <sebastian.huber@…>

In 27de4e1f/rtems:

bsps: Move libchip to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:50 Changed on Apr 5, 2018 at 5:27:30 AM by Sebastian Huber <sebastian.huber@…>

In 82bc976/rtems:

bsps/bfin: Rename shared.am to shared-sources.am

This patch is a part of the BSP source reorganization.

Update #3285.

comment:51 Changed on Apr 5, 2018 at 5:27:40 AM by Sebastian Huber <sebastian.huber@…>

In 0f0f249c/rtems:

bsps/m68k: Rename fpsp.am to fpsp-sources.am

This patch is a part of the BSP source reorganization.

Update #3285.

comment:52 Changed on Apr 5, 2018 at 5:27:51 AM by Sebastian Huber <sebastian.huber@…>

In 6799a78/rtems:

bsps/powerpc: Rename to exceptions-sources.am

This patch is a part of the BSP source reorganization.

Update #3285.

comment:53 Changed on Apr 5, 2018 at 5:28:01 AM by Sebastian Huber <sebastian.huber@…>

In d03ec77d/rtems:

bsps/powerpc: Rename to shared-sources.am

This patch is a part of the BSP source reorganization.

Update #3285.

comment:54 Changed on Apr 9, 2018 at 5:12:18 AM by Sebastian Huber <sebastian.huber@…>

In 671c31fc/rtems:

bsp: Move umon support to bsps

The umon support is only used by the csb337 BSP.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:55 Changed on Apr 9, 2018 at 5:12:38 AM by Sebastian Huber <sebastian.huber@…>

In 814eccb4/rtems:

bsps: Move VME support to bsps

The VME support is only used by powerpc BSPs.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:56 Changed on Apr 9, 2018 at 5:12:54 AM by Sebastian Huber <sebastian.huber@…>

In 4b28d3c/rtems:

bsps: Move shmdr to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:57 Changed on Apr 9, 2018 at 5:13:09 AM by Sebastian Huber <sebastian.huber@…>

In d584269/rtems:

bsps: Remove librtemsbsp.a wrapup

This patch is a part of the BSP source reorganization.

Update #3285.

comment:58 Changed on Apr 9, 2018 at 5:13:25 AM by Sebastian Huber <sebastian.huber@…>

In 9b7c456/rtems:

bsps: Move generic IRQ support to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:59 Changed on Apr 9, 2018 at 9:38:23 AM by Sebastian Huber <sebastian.huber@…>

In 01d34a3/rtems:

bsp/csb337: Fix umon support

This patch is a part of the BSP source reorganization.

Update #3285.

comment:60 Changed on Apr 9, 2018 at 9:41:33 AM by Sebastian Huber <sebastian.huber@…>

In b606998/rtems:

bsp/genmcf548x: Fix IRQ support

This patch is a part of the BSP source reorganization.

Update #3285.

comment:61 Changed on Apr 10, 2018 at 5:19:34 AM by Sebastian Huber <sebastian.huber@…>

In 1ce4a9e/rtems:

bsps: Fix typo in MPCI support

This patch is a part of the BSP source reorganization.

Update #3285.

comment:62 Changed on Apr 12, 2018 at 5:17:10 AM by Sebastian Huber <sebastian.huber@…>

In f0bcae38/rtems:

bsps: Remove unused console_select_simple.c

This patch is a part of the BSP source reorganization.

Update #3285.

comment:63 Changed on Apr 12, 2018 at 5:17:20 AM by Sebastian Huber <sebastian.huber@…>

In b43ea9f/rtems:

bsps: Move legacy console driver to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:64 Changed on Apr 12, 2018 at 5:17:41 AM by Sebastian Huber <sebastian.huber@…>

In b46f943c/rtems:

bsp/motorola_powerpc: Move polled_io.c

This file was used by this BSP only. Avoid RTEMS_RELLDFLAGS.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:65 Changed on Apr 12, 2018 at 5:18:02 AM by Sebastian Huber <sebastian.huber@…>

In 6c4140c/rtems:

bsps: Avoid line continuation in Makefile.am

This patch is a part of the BSP source reorganization.

Update #3285.

comment:66 Changed on Apr 12, 2018 at 5:18:12 AM by Sebastian Huber <sebastian.huber@…>

In b78b814/rtems:

bsps: Avoid source variables in Makefile.am

This patch is a part of the BSP source reorganization.

Update #3285.

comment:67 Changed on Apr 12, 2018 at 5:18:25 AM by Sebastian Huber <sebastian.huber@…>

In b10caf8/rtems:

bsps: Remove headers from librtemsbsp_a_SOURCES

This was used by the not supported "make dist".

This patch is a part of the BSP source reorganization.

Update #3285.

comment:68 Changed on Apr 12, 2018 at 5:18:36 AM by Sebastian Huber <sebastian.huber@…>

In 4359c43/rtems:

bsps: Simplify source file path in Makefile.am

This patch is a part of the BSP source reorganization.

Update #3285.

comment:69 Changed on Apr 12, 2018 at 5:18:47 AM by Sebastian Huber <sebastian.huber@…>

In c5fe4431/rtems:

bsps: Move bootcard.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:70 Changed on Apr 12, 2018 at 5:18:58 AM by Sebastian Huber <sebastian.huber@…>

In ff24c90d/rtems:

bsps: Remove empty gnatinstallhandler.c

This patch is a part of the BSP source reorganization.

Update #3285.

comment:71 Changed on Apr 13, 2018 at 7:45:53 AM by Sebastian Huber

I move slowly to the real BSP sources. After some review and effort calculation I propose a new structure for the BSPs in bsps/@RTEMS_CPU@/@RTEMS_BSP_FAMILY@:

  • include (this is already there, see #3254)
  • make
    • somebsp.cfg
  • start (everything required to run a minimal application without devices)
    • start.S
    • bspstart.c
    • bspsmp.c
    • linkcmds
  • cache (everything for the cache controller support)
  • irq (everything for the interrupt controller support)
  • console (everything for the console driver)
  • clock (everything for the clock driver
  • i2c (everything for the I2C driver)
  • spi (everything for the SPI driver)
  • net (legacy network stack drivers)
  • mpci (RTEMS_MULTIPROCESSING support)
  • contrib (import of external sources)
    • The layout of external sources should be used as is if possible.

This essentially removes the new dev directory of the original proposal and is closer to the existing BSP layout. The existing layout has standard directory names, but the file names vary greatly. This new proposal helps to move the files with less human intervention.

Last edited on Apr 13, 2018 at 7:47:04 AM by Sebastian Huber (previous) (diff)

comment:72 Changed on Apr 13, 2018 at 12:36:21 PM by Joel Sherrill

I see you are back to moving the contents of make/custom to make/. I still have my local branch where I was well along the path of doing that. I can resurrect it if desired.

comment:73 Changed on Apr 14, 2018 at 4:30:25 AM by Chris Johns

I suggest we move away from make to config. Make is an implementation.

Can we please create a doc type file in the bsps to list the directories we allow?

comment:74 Changed on Apr 17, 2018 at 5:06:11 AM by Sebastian Huber <sebastian.huber@…>

In 90013f59/rtems:

bsps: Move tod.c to bsps and rename

This patch is a part of the BSP source reorganization.

Update #3285.

comment:75 Changed on Apr 17, 2018 at 5:06:23 AM by Sebastian Huber <sebastian.huber@…>

In 1cba1de/rtems:

bsps: Move bsp-fdt.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:76 Changed on Apr 17, 2018 at 5:06:33 AM by Sebastian Huber <sebastian.huber@…>

In 9d44ae7/rtems:

bsps: Move bsp-uboot-board-info.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:77 Changed on Apr 17, 2018 at 5:06:44 AM by Sebastian Huber <sebastian.huber@…>

In 0a09ac58/rtems:

bsps: Move stackalloc.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:78 Changed on Apr 17, 2018 at 5:06:54 AM by Sebastian Huber <sebastian.huber@…>

In 223e22f/rtems:

bsps: Move uart-output-char.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:79 Changed on Apr 17, 2018 at 9:02:22 AM by Sebastian Huber

Description: modified (diff)

comment:80 Changed on Apr 20, 2018 at 1:04:46 PM by Sebastian Huber <sebastian.huber@…>

In 300cc68/rtems-docs:

bsp-howto: Update BSP source code structure

This patch is a part of the BSP source reorganization.

Update #3285.

comment:81 Changed on Apr 20, 2018 at 1:24:24 PM by Sebastian Huber <sebastian.huber@…>

In 4826858/rtems:

motorola_powerpc: Remove headers from *_SOURCES

This was used by the not supported "make dist".

This patch is a part of the BSP source reorganization.

Update #3285.

comment:82 Changed on Apr 20, 2018 at 1:24:35 PM by Sebastian Huber <sebastian.huber@…>

In 43bda786/rtems:

bsps: Move bspclean.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:83 Changed on Apr 20, 2018 at 1:24:46 PM by Sebastian Huber <sebastian.huber@…>

In 554e39c/rtems:

bsps: Move bspreset.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:84 Changed on Apr 20, 2018 at 1:24:58 PM by Sebastian Huber <sebastian.huber@…>

In 0736410/rtems:

bsps: Move bspreset_loop.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:85 Changed on Apr 20, 2018 at 1:25:09 PM by Sebastian Huber <sebastian.huber@…>

In 0b93d4f8/rtems:

bsps: Move bspstart.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:86 Changed on Apr 20, 2018 at 1:25:32 PM by Sebastian Huber <sebastian.huber@…>

In 5a06b187/rtems:

bsps: Move bspgetworkarea.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:87 Changed on Apr 20, 2018 at 1:25:43 PM by Sebastian Huber <sebastian.huber@…>

In a884df3/rtems:

bsp/motorola_powerpc: Move bspstart.c to bsps

This shared powerpc file was only used by this BSP.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:88 Changed on Apr 20, 2018 at 1:26:04 PM by Sebastian Huber <sebastian.huber@…>

In 0510cd50/rtems:

bsps: Move doxygen.h files to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:89 Changed on Apr 20, 2018 at 1:26:15 PM by Sebastian Huber <sebastian.huber@…>

In f923901/rtems:

bsps: Move pci_bus_count.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:90 Changed on Apr 20, 2018 at 1:26:25 PM by Sebastian Huber <sebastian.huber@…>

In 9ec8cfc5/rtems:

bsps: Move pci_find_device.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:91 Changed on Apr 20, 2018 at 1:26:36 PM by Sebastian Huber <sebastian.huber@…>

In 8d04f18/rtems:

bsps: Remove unused rtems-stub-glue.c

This patch is a part of the BSP source reorganization.

Update #3285.

comment:92 Changed on Apr 20, 2018 at 1:26:47 PM by Sebastian Huber <sebastian.huber@…>

In 4b9015c/rtems:

bsps: Remove unused irq.h template file

This patch is a part of the BSP source reorganization.

Update #3285.

comment:93 Changed on Apr 20, 2018 at 1:26:57 PM by Sebastian Huber <sebastian.huber@…>

In d6fb37a/rtems:

bsps: Move shared btimer support to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:94 Changed on Apr 20, 2018 at 1:27:09 PM by Sebastian Huber <sebastian.huber@…>

In ef78454/rtems:

bsps: Move gpio.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:95 Changed on Apr 20, 2018 at 1:27:20 PM by Sebastian Huber <sebastian.huber@…>

In 79b9fe6/rtems:

bsps: Move getentropy-cpucounter.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:96 Changed on Apr 20, 2018 at 1:27:30 PM by Sebastian Huber <sebastian.huber@…>

In 7806d9c0/rtems:

bsps: Move shared CPU counter support to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:97 Changed on Apr 20, 2018 at 1:27:42 PM by Sebastian Huber <sebastian.huber@…>

In a442939/rtems:

bsps: Move sbrk.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:98 Changed on Apr 20, 2018 at 1:27:53 PM by Sebastian Huber <sebastian.huber@…>

In bc010a8d/rtems:

bsps: Move setvec.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:99 Changed on Apr 20, 2018 at 1:28:04 PM by Sebastian Huber <sebastian.huber@…>

In 2584f5b/rtems:

bsps: Move bspsmp.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:100 Changed on Apr 20, 2018 at 1:28:16 PM by Sebastian Huber <sebastian.huber@…>

In 5c5b021/rtems:

bsps: Move bspsmpgetcurrentprocessor.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:101 Changed on Apr 20, 2018 at 1:28:28 PM by Sebastian Huber <sebastian.huber@…>

In 7632906/rtems:

bsps: Move clock drivers to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:102 Changed on Apr 20, 2018 at 1:28:40 PM by Sebastian Huber <sebastian.huber@…>

In 58adad4/rtems:

bsps/powerpc: Move shared btimer support

This patch is a part of the BSP source reorganization.

Update #3285.

comment:103 Changed on Apr 20, 2018 at 1:28:54 PM by Sebastian Huber <sebastian.huber@…>

In d7d66d7/rtems:

bsps: Move console drivers to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:104 Changed on Apr 20, 2018 at 1:29:08 PM by Sebastian Huber <sebastian.huber@…>

In fbcd7c8f/rtems:

bsps: Move start files to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:105 Changed on Apr 20, 2018 at 1:29:22 PM by Sebastian Huber <sebastian.huber@…>

In 9964895/rtems:

bsps: Move startup files to bsps

Adjust build support files to new directory layout.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:106 Changed on Apr 20, 2018 at 1:29:35 PM by Sebastian Huber <sebastian.huber@…>

In e0dd8a5a/rtems:

bsps: Move benchmark timer to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:107 Changed on Apr 20, 2018 at 1:29:47 PM by Sebastian Huber <sebastian.huber@…>

In 28b4c7ac/rtems:

sparc: Move _CPU_Trap_slot_template

The definition of _CPU_Trap_slot_template is BSP-independent. A
potential para-virtualization support may use <rtems/score/paravirt.h>.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:108 Changed on Apr 20, 2018 at 1:29:57 PM by Sebastian Huber <sebastian.huber@…>

In c49896f/rtems:

sparc: Move irq_asm.S

This file is BSP-independent.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:109 Changed on Apr 20, 2018 at 1:30:09 PM by Sebastian Huber <sebastian.huber@…>

In d60d303c/rtems:

bsps/sparc: Move shared files to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:110 Changed on Apr 20, 2018 at 1:30:20 PM by Sebastian Huber <sebastian.huber@…>

In b15cb636/rtems:

bsps/sparc: Move network drivers to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:111 Changed on Apr 20, 2018 at 1:30:30 PM by Sebastian Huber <sebastian.huber@…>

In 1efa1c8/rtems:

bsps: Move MPCI support to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:112 Changed on Apr 20, 2018 at 1:30:40 PM by Sebastian Huber <sebastian.huber@…>

In 96faf12/rtems:

bsps/sparc: Move gnatsupp to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:113 Changed on Apr 20, 2018 at 1:30:51 PM by Sebastian Huber <sebastian.huber@…>

In 67e472c/rtems:

bsps/leon2: Move PCI driver to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:114 Changed on Apr 20, 2018 at 1:31:01 PM by Sebastian Huber <sebastian.huber@…>

In 13091dc4/rtems:

bsps/leon3: Move AMBA support to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:115 Changed on Apr 20, 2018 at 1:35:45 PM by Sebastian Huber <sebastian.huber@…>

In 4b70ed9/rtems:

bsps/mvme147s: Fix Makefile.am

This patch is a part of the BSP source reorganization.

Update #3285.

comment:116 Changed on Apr 23, 2018 at 5:54:44 AM by Sebastian Huber <sebastian.huber@…>

In 676d3d5/rtems-docs:

bsp-howto: Avoid :file: role with ${...}

The curly braces have a special meaning in the :file: role.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:117 Changed on Apr 23, 2018 at 1:16:02 PM by Sebastian Huber <sebastian.huber@…>

In 1645deb/rtems-source-builder:

bootstrap: Do not generate acinlude.m4 files

Do not generate files which are part of the Git repository. These files
should be maintained manually in the future.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:118 Changed on Apr 23, 2018 at 1:19:00 PM by Sebastian Huber <sebastian.huber@…>

In 37dc047/rtems:

bsps: Remove AC_CONFIG_SRCDIR()

This AC_CONFIG_SRCDIR() is just a sanity check in this insane build
system. Since all content of
c/src/lib/libbsp/@RTEMS_CPU@/@RTEMS_BSP_FAMILY@ is bound to be moved it
makes no sense to keep it.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:119 Changed on Apr 23, 2018 at 1:19:11 PM by Sebastian Huber <sebastian.huber@…>

In adb85dd/rtems:

bsps: Move make/custom/* files to bsps

Adjust various build files. Remove automatic generation of the
c/src/lib/libbsp/*/acinclude.m4 files from bootstrap script.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:120 Changed on Apr 23, 2018 at 1:19:21 PM by Sebastian Huber <sebastian.huber@…>

In f004ace/rtems:

bsp/altera-cyclone-v: Move hwlib to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:121 Changed on Apr 23, 2018 at 1:19:32 PM by Sebastian Huber <sebastian.huber@…>

In 54aabb7/rtems:

bsp/atsam: Move libraries to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:122 Changed on Apr 23, 2018 at 1:19:43 PM by Sebastian Huber <sebastian.huber@…>

In a0f04d6/rtems:

bsp/gen5200: Move bestcomm to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:123 Changed on Apr 23, 2018 at 1:19:53 PM by Sebastian Huber <sebastian.huber@…>

In a62c75c1/rtems:

bsp/tms570: Move more start to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:124 Changed on Apr 23, 2018 at 1:20:05 PM by Sebastian Huber <sebastian.huber@…>

In 3bd30f4/rtems:

bsps/arm: Remove unused stm32f* files

This patch is a part of the BSP source reorganization.

Update #3285.

comment:125 Changed on Apr 23, 2018 at 1:20:16 PM by Sebastian Huber <sebastian.huber@…>

In a2dad96/rtems:

bsps: Move I2C drivers to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:126 Changed on Apr 23, 2018 at 1:20:26 PM by Sebastian Huber <sebastian.huber@…>

In 276afd2b/rtems:

bsps: Move SPI drivers to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:127 Changed on Apr 23, 2018 at 1:20:37 PM by Sebastian Huber <sebastian.huber@…>

In 8f8ccee/rtems:

bsps: Move interrupt controller support to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:128 Changed on Apr 23, 2018 at 1:20:48 PM by Sebastian Huber <sebastian.huber@…>

In 031df391/rtems:

bsps: Move legacy network drivers to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:129 Changed on Apr 23, 2018 at 1:20:59 PM by Sebastian Huber <sebastian.huber@…>

In 4fb1b79/rtems:

bsps: Move RTC drivers to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:130 Changed on Apr 23, 2018 at 1:21:13 PM by Sebastian Huber <sebastian.huber@…>

In 142175ef/rtems:

bsps/sparc64: Move helenos to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:131 Changed on Apr 23, 2018 at 1:21:27 PM by Sebastian Huber <sebastian.huber@…>

In 4ccbac63/rtems:

bsps/v850: Move crt1.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:132 Changed on Apr 23, 2018 at 1:21:40 PM by Sebastian Huber <sebastian.huber@…>

In fd67814/rtems:

bsps: Move GDB stubs to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:133 Changed on Apr 23, 2018 at 1:21:52 PM by Sebastian Huber <sebastian.huber@…>

In b4de37fd/rtems:

bsps/sh: Move bsphwinit.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:134 Changed on Apr 23, 2018 at 1:22:03 PM by Sebastian Huber <sebastian.huber@…>

In e617455/rtems:

bsps/sh: Move setvec.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:135 Changed on Apr 23, 2018 at 1:22:14 PM by Sebastian Huber <sebastian.huber@…>

In 6e1cf37/rtems:

bsps/sh: Move console.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:136 Changed on Apr 23, 2018 at 1:22:24 PM by Sebastian Huber <sebastian.huber@…>

In 5a4e3dc0/rtems:

bsps: Move PCI drivers to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:137 Changed on Apr 23, 2018 at 1:22:35 PM by Sebastian Huber <sebastian.huber@…>

In fc79b26/rtems:

bsps: Move ATA drivers to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:138 Changed on Apr 23, 2018 at 1:22:45 PM by Sebastian Huber <sebastian.huber@…>

In 21978523/rtems:

bsps/lm32: Move shared drivers to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:139 Changed on Apr 24, 2018 at 8:25:02 AM by Sebastian Huber <sebastian.huber@…>

In 56bd37bf/rtems:

bsps: Remove unmaintained times files

This patch is a part of the BSP source reorganization.

Update #3285.

comment:140 Changed on Apr 24, 2018 at 8:25:12 AM by Sebastian Huber <sebastian.huber@…>

In c99e4f4e/rtems:

bsps: Remove obsolete documentation

This patch is a part of the BSP source reorganization.

Update #3285.

comment:141 Changed on Apr 24, 2018 at 8:25:22 AM by Sebastian Huber <sebastian.huber@…>

In 65e59cc/rtems:

bsps/arm: Move bsp_memory_management_initialize()

This function is only used by the raspberrypi BSP.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:142 Changed on Apr 24, 2018 at 8:25:33 AM by Sebastian Huber <sebastian.huber@…>

In 0180acf2/rtems:

bsps/arm: Remove unused shared/comm/uart.c

This patch is a part of the BSP source reorganization.

Update #3285.

comment:143 Changed on Apr 24, 2018 at 8:25:43 AM by Sebastian Huber <sebastian.huber@…>

In 03e1d837/rtems:

bsps/powerpc: Move bootloader to bsps

This bootloader is only used by the motorola_powerpc BSP.

This patch is a part of the BSP source reorganization.

Update #3285.

comment:144 Changed on Apr 24, 2018 at 8:25:54 AM by Sebastian Huber <sebastian.huber@…>

In 2101f54/rtems:

bsps: Move uboot_getenv.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:145 Changed on Apr 24, 2018 at 8:26:04 AM by Sebastian Huber <sebastian.huber@…>

In 670f104/rtems:

bsps: Move uboot_dump_bdinfo.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:146 Changed on Apr 24, 2018 at 8:26:15 AM by Sebastian Huber <sebastian.huber@…>

In 1163f502/rtems:

bsps: Move tictac.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:147 Changed on Apr 24, 2018 at 8:26:26 AM by Sebastian Huber <sebastian.huber@…>

In b8777d9/rtems:

bsps: Move memcpy.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:148 Changed on Apr 24, 2018 at 8:26:36 AM by Sebastian Huber <sebastian.huber@…>

In 7091461/rtems:

bsps: Move ppc-exc-handler-table.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:149 Changed on Apr 24, 2018 at 8:26:47 AM by Sebastian Huber <sebastian.huber@…>

In 1cc69e1/rtems:

bsps: Move showbats.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:150 Changed on Apr 24, 2018 at 8:26:57 AM by Sebastian Huber <sebastian.huber@…>

In 173e157/rtems:

bsps: Move residual.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:151 Changed on Apr 24, 2018 at 8:27:08 AM by Sebastian Huber <sebastian.huber@…>

In 499385e/rtems:

bsps: Move motorola.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:152 Changed on Apr 24, 2018 at 8:27:18 AM by Sebastian Huber <sebastian.huber@…>

In afa90ee5/rtems:

bsps: Move vpd.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:153 Changed on Apr 24, 2018 at 8:27:29 AM by Sebastian Huber <sebastian.huber@…>

In b5d4c80/rtems:

bsps: Move flash.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:154 Changed on Apr 24, 2018 at 8:27:41 AM by Sebastian Huber <sebastian.huber@…>

In ff04935/rtems:

bsps: Move intelFlash.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:155 Changed on Apr 24, 2018 at 8:27:53 AM by Sebastian Huber <sebastian.huber@…>

In fe077b3/rtems:

bsps: Move spansionFlash.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:156 Changed on Apr 24, 2018 at 8:28:04 AM by Sebastian Huber <sebastian.huber@…>

In c7410f17/rtems:

bsps/m68k: Remove unused files

This patch is a part of the BSP source reorganization.

Update #3285.

comment:157 Changed on Apr 24, 2018 at 8:28:16 AM by Sebastian Huber <sebastian.huber@…>

In 7a8e71b/rtems:

bsps/i386: Move shared files to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:158 Changed on Apr 24, 2018 at 8:28:27 AM by Sebastian Huber <sebastian.huber@…>

In c3a44343/rtems:

bsps: Move bspreset.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:159 Changed on Apr 24, 2018 at 8:28:38 AM by Sebastian Huber <sebastian.huber@…>

In d7a9eb90/rtems:

bsps: Move armv7m-cpucounter.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:160 Changed on Apr 24, 2018 at 8:28:49 AM by Sebastian Huber <sebastian.huber@…>

In e2f63219/rtems:

bsps: Move arm-a9mpcore-clock-config.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:161 Changed on Apr 24, 2018 at 8:28:59 AM by Sebastian Huber <sebastian.huber@…>

In 1ded97b9/rtems:

bsps: Move arm-generic-timer-clock-config.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:162 Changed on Apr 24, 2018 at 8:29:10 AM by Sebastian Huber <sebastian.huber@…>

In bbedc47b/rtems:

bsps: Move arm-pl111-fb.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:163 Changed on Apr 24, 2018 at 8:29:20 AM by Sebastian Huber <sebastian.huber@…>

In 3ad74cba/rtems:

bsps: Move arm-pl011.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:164 Changed on Apr 24, 2018 at 8:29:31 AM by Sebastian Huber <sebastian.huber@…>

In fc6d8c2/rtems:

bsps: Move arm-pl050.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:165 Changed on Apr 24, 2018 at 8:29:41 AM by Sebastian Huber <sebastian.huber@…>

In 864e72e/rtems:

bsps: Move arm-a9mpcore-smp.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:166 Changed on Apr 24, 2018 at 8:29:52 AM by Sebastian Huber <sebastian.huber@…>

In aa705fe/rtems:

bsps: Move arm-cp15-set-exception-handler.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:167 Changed on Apr 24, 2018 at 8:30:02 AM by Sebastian Huber <sebastian.huber@…>

In 891754f7/rtems:

bsps: Move arm-cp15-set-ttb-entries.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:168 Changed on Apr 25, 2018 at 12:32:10 PM by Sebastian Huber <sebastian.huber@…>

In b07da56e/rtems:

bsp/gensh4: Move hw_init.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:169 Changed on Apr 25, 2018 at 12:32:21 PM by Sebastian Huber <sebastian.huber@…>

In 8bf101c/rtems:

bsp/virtex4: Move mmu.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:170 Changed on Apr 25, 2018 at 12:32:32 PM by Sebastian Huber <sebastian.huber@…>

In 25787041/rtems:

bsp/virtex5: Move mmu.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:171 Changed on Apr 25, 2018 at 12:32:43 PM by Sebastian Huber <sebastian.huber@…>

In 8f12ee32/rtems:

bsp/mvme5500: Move source files to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:172 Changed on Apr 25, 2018 at 12:32:54 PM by Sebastian Huber <sebastian.huber@…>

In bf16ee5/rtems:

bsp/mvme3100: Move flashcfg.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:173 Changed on Apr 25, 2018 at 12:33:05 PM by Sebastian Huber <sebastian.huber@…>

In 8266fb5/rtems:

bsp/beatnik: Move source files to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:174 Changed on Apr 25, 2018 at 12:33:16 PM by Sebastian Huber <sebastian.huber@…>

In 95d5426c/rtems:

bsp/haleakala: Move mmu_405.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:175 Changed on Apr 25, 2018 at 12:33:27 PM by Sebastian Huber <sebastian.huber@…>

In 64d4fc7/rtems:

bsp/gen5200: Move source files to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:176 Changed on Apr 25, 2018 at 12:33:38 PM by Sebastian Huber <sebastian.huber@…>

In 100c972/rtems:

bsp/mrm332: Move spinit.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:177 Changed on Apr 25, 2018 at 12:33:50 PM by Sebastian Huber <sebastian.huber@…>

In 0e15ba3/rtems:

bsp/mrm332: Move interr.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:178 Changed on Apr 25, 2018 at 12:34:03 PM by Sebastian Huber <sebastian.huber@…>

In a79d650/rtems:

bsp/mcf5206elite: Move nvram.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:179 Changed on Apr 25, 2018 at 12:34:16 PM by Sebastian Huber <sebastian.huber@…>

In 4183b711/rtems:

bsp/tms570: Move cpucounterread.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:180 Changed on Apr 25, 2018 at 12:34:29 PM by Sebastian Huber <sebastian.huber@…>

In ede0eb3/rtems:

bsp/smdk2410: Move smc.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:181 Changed on Apr 25, 2018 at 12:34:43 PM by Sebastian Huber <sebastian.huber@…>

In fc1bdb83/rtems:

bsp/raspberrypi: Move source files to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:182 Changed on Apr 25, 2018 at 12:34:54 PM by Sebastian Huber <sebastian.huber@…>

In 43250167/rtems:

bsp/lpc32xx: Move source files to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:183 Changed on Apr 25, 2018 at 12:35:06 PM by Sebastian Huber <sebastian.huber@…>

In 74df15c/rtems:

bsp/lpc24xx: Move source files to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:184 Changed on Apr 25, 2018 at 12:35:18 PM by Sebastian Huber <sebastian.huber@…>

In e945b049/rtems:

bsp/lpc176x: Move source files to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:185 Changed on Apr 25, 2018 at 12:35:29 PM by Sebastian Huber <sebastian.huber@…>

In 82bfda92/rtems:

bsp/lm3s69xx: Move ssi.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:186 Changed on Apr 25, 2018 at 12:35:40 PM by Sebastian Huber <sebastian.huber@…>

In 720ebc0/rtems:

bsp/gumstix: Move fb.c to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:187 Changed on Apr 25, 2018 at 12:35:51 PM by Sebastian Huber <sebastian.huber@…>

In 531d160/rtems:

bsp/beagle: Move source files to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:188 Changed on Apr 25, 2018 at 12:36:02 PM by Sebastian Huber <sebastian.huber@…>

In f7eaf316/rtems:

bsps: Remove unused u-boot-generic-board-info.h

This patch is a part of the BSP source reorganization.

Update #3285.

comment:189 Changed on Apr 25, 2018 at 12:36:13 PM by Sebastian Huber <sebastian.huber@…>

In 1913eb16/rtems:

bsps/arm: Remove unused files

This patch is a part of the BSP source reorganization.

Update #3285.

comment:190 Changed on Apr 25, 2018 at 1:28:56 PM by Sebastian Huber

Milestone: 6.15.1

comment:191 Changed on Apr 26, 2018 at 5:18:30 AM by Sebastian Huber <sebastian.huber@…>

In 0b60c54/rtems:

bsp/haleakala: Move assembler files to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:192 Changed on Apr 26, 2018 at 5:18:40 AM by Sebastian Huber <sebastian.huber@…>

In b80be135/rtems:

bsp/psim: Move align_h.S to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:193 Changed on Apr 26, 2018 at 5:18:51 AM by Sebastian Huber <sebastian.huber@…>

In 3460c522/rtems:

bsps/powerpc: Move bsp-start-zero.S to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:194 Changed on Apr 26, 2018 at 5:19:02 AM by Sebastian Huber <sebastian.huber@…>

In a5bf9b6/rtems:

bsps/mips: Move liblnk to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:195 Changed on Apr 26, 2018 at 5:19:12 AM by Sebastian Huber <sebastian.huber@…>

In 1554415/rtems:

bsp/sparc64: Move asm.S to bsps and rename

This patch is a part of the BSP source reorganization.

Update #3285.

comment:196 Changed on Apr 26, 2018 at 5:19:23 AM by Sebastian Huber <sebastian.huber@…>

In 8eb264d3/rtems:

bsps: Remove unmaintained times files

This patch is a part of the BSP source reorganization.

Update #3285.

comment:197 Changed on Apr 26, 2018 at 5:19:35 AM by Sebastian Huber <sebastian.huber@…>

In eb36d11/rtems:

bsps: Move documentation, etc. files to bsps

This patch is a part of the BSP source reorganization.

Update #3285.

comment:198 Changed on Apr 27, 2018 at 10:50:26 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In cb0f55a/rtems-docs:

Update due to BSP source reorganization

This patch is a part of the BSP source reorganization.

Close #3285.

comment:199 Changed on Aug 3, 2018 at 12:15:34 PM by Sebastian Huber <sebastian.huber@…>

In 32ccc01/rtems:

bsps: Fix the generic IRQ support

The genmcf548x partly uses is own implementation of the interrupt
extension API for libbsd support.

This patch is a part of the BSP source reorganization.

Update #3285.

Note: See TracTickets for help on using tickets.